/* Editor */
.editor-styles-wrapper .wp-block-navigation                    {.foo{}
	&,
	*:has(.wp-block-navigation__container)                     {min-height:inherit;position:initial;}
	.wp-block-navigation__container                            {min-height:inherit;}
}

/* Editor & Frontend */
.wp-block-navigation.is-style-main-menu:not(ul,:has(.is-menu-open)) {.foo{}
	&,
	*:has(.wp-block-navigation__container)                     {min-height:inherit;position:initial;}
	
	.wp-block-navigation__responsive-container-open            {transform:scale(1.5);transition:transform .25s;}
	.wp-block-navigation__responsive-container-open:hover      {transform:scale(1.9);}
	
	.wp-block-navigation__container                            {min-height:inherit;position:initial;margin:0 var(--wp--preset--spacing--50);.foo{}
		>.wp-block-navigation-item                             {min-height:inherit;background:none;.foo{}
			&.current-menu-ancestor,&.current-menu-item        {color:var(--hover-background-color);}
			&.has-child                                        {position:initial;.foo{}
				.wp-block-navigation-item__content             {margin-right:1rem;}
			}
			&.is-style-top-icon                                {flex-basis:100px;margin-left:var(--wp--preset--spacing--50);.foo{}
				&+&                                            {margin-left:0rem;}
				.wp-block-navigation-item__content             {padding:0;}
			} 
			.wp-block-navigation__submenu-icon                 {display:flex;width:1rem;min-height:2.2em;margin:0 0 0 -2rem;transform:translateX(-1rem);z-index:1;}
			>.wp-block-navigation-item__content                {word-break:keep-all;position:relative;padding:0 4rem;max-width:10rem;min-height:inherit;display:flex;align-items:center;background: transparent;.foo{}
				&::before                                      {content:"";position:absolute;left:0;right:0;top:100%;bottom:0;z-index:-1;background-color:var(--hover-background-color);transition:top .25s;}
				.wp-block-navigation-item__label               {min-height:2.8em;}
			}
			.wp-block-navigation__submenu-container            {left:0;flex-direction:row;gap:3rem 8rem;flex-wrap:wrap;padding:6rem 20rem;background-color:transparent;border:0;transition:height .25s;.foo{}
				&::before                                      {content:"";position:absolute;top:0;left:0;width:100%;height:0%;background-color:var(--hover-background-color);transition:height .25s;}
				.wp-block-navigation-item                      {background:none;}
				.current-menu-item                             {.foo{}
					.wp-block-navigation-item__content         {border-color:rgba(255 255 255/.1);background-color:rgba(255 255 255/.1);}
				}
				.wp-block-navigation-item__content             {border-radius:.5rem;border:1px solid transparent;opacity:0;transition:opacity .25s,border .25s;}
				.wp-block-navigation-item__label               {min-height:unset;color:var(--hover-text-color);text-transform:none;font-size:1.3em;font-weight:700;}
			}
			&:hover                                            {.foo{}
				>.wp-block-navigation-item__content::before    {top:0%;}
				.wp-block-navigation__submenu-container        {.foo{}
					&::before                                  {height:100%;}
					.wp-block-navigation-item__content         {opacity:1;.foo{}
						&:hover                                {opacity:.7;border:1px solid rgba(255 255 255/.2);}
					}
				}
			}
		}
		@media screen and (max-width: 1600px) {
			&>.wp-block-navigation-item>.wp-block-navigation-item__content {padding:0 2.5rem;}
		}
		@media screen and (max-width: 1340px) {
			& {margin:0;}
			&>.wp-block-navigation-item.is-style-top-icon {margin-left:0;}
		}
	}
}

.wp-block-navigation.is-style-main-menu .is-menu-open          {.foo{}
	.wp-block-navigation-overlay-close                         {transform:scale(1.5);transition:transform .25s;}
	.wp-block-navigation-overlay-close:hover                   {transform:scale(1.9);}
}

/* Main Menu Overlay */
.wp-block-navigation.is-style-overlay-menu                     {.foo{}
	*:has(>&)                                                  {--hover-text-color:currentColor;--hover-background-color:transparent;}
	
	.wp-block-navigation__container                            {align-items:inherit;.foo{}
		.wp-block-navigation-item                              {align-items:inherit;.foo{}
			>.wp-block-navigation-item__content                {padding:1em .25em;background:transparent;border-bottom:1px solid rgba(255 255 255/.3);display:flex;flex-grow:1!important;opacity:1;transition:background .25s,opacity .25s;.foo{}
				img,svg                                        {width:28px;height:28px;}
				&:hover                                        {opacity:.7;color:inherit!important;.foo{}
					~.wp-block-navigation__submenu-icon        {transform:scale(1.4);}
				}
			}
			&.current-menu-ancestor,&.current-menu-item        {.foo{}
				>.wp-block-navigation-item__content            {color:inherit!important;.foo{}
					.wp-block-navigation-item__label           {font-weight:800;font-size:1.1em;}
				}
			}
			&.has-child                                        {gap:inherit;flex-direction:column;.foo{}
				.wp-block-navigation__submenu-icon             {position:absolute;right:0.25em;top:0.7em;font-size:1.5em;z-index:1;transform:scale(1.0);transition:transform .25s;}
				.wp-block-navigation__submenu-container        {display:none;gap:0;padding:0;flex-basis:100%;position:static;border:none;background-color:transparent;.foo{}
					.wp-block-navigation-item__content         {border:0;padding:.5em 0 .5em 2.5em;}
				}
				&.open-always                                              > .wp-block-navigation__submenu-container,
				&.open-on-hover-click:hover                                > .wp-block-navigation__submenu-container,
				.editor-styles-wrapper &:focus-within                      > .wp-block-navigation__submenu-container,
				& .wp-block-navigation-submenu__toggle[aria-expanded=true] ~ .wp-block-navigation__submenu-container {display:flex;visibility:visible;overflow:visible;opacity:1;width:auto;height:auto;min-width:200px;}
			}
		}
	}
}

.wp-block-navigation[style*="--hover-text-color"]       .wp-block-navigation-item                 .wp-block-navigation-item__content:hover>.wp-block-navigation-item__label,
.wp-block-navigation[style*="--hover-text-color"]       .wp-block-navigation-item.has-child:hover>.wp-block-navigation-item__content      ~.wp-block-navigation__submenu-icon,
.wp-block-navigation[style*="--hover-text-color"]       .wp-block-navigation-item.has-child:hover>.wp-block-navigation-item__content      >.wp-block-navigation-item__label,
.wp-block-navigation[style*="--hover-text-color"]       .wp-block-navigation-item                 .wp-block-navigation-item__content:hover~.wp-block-navigation__submenu-icon {color:var(--hover-text-color);}
.wp-block-navigation[style*="--hover-background-color"] .wp-block-navigation-item                 .wp-block-navigation-item__content:hover                                    {background-color:var(--hover-background-color);}
.wp-block-navigation .wp-block-navigation-item__label {text-transform:uppercase;}

/* Show sandwich menu in header for tablets */
@media screen and (max-width: 1199px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {display:flex;margin-left:var(--wp--preset--spacing--30);}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {display:none;}
	.invert-when-mobile {flex-direction:row-reverse;justify-content:flex-start!important;}
}

@media screen and (min-width: 601px) {
	.wp-block-navigation.is-style-main-menu .is-menu-open {top:var(--wp-admin--admin-bar--height,0);}
	.wp-block-navigation__overlay-container>div           {min-height:calc(100vh - var(--wp-admin--admin-bar--height,0))!important;}
}
